Skip to main content
GET
/
tax
/
item
/
{itemId}
/
{companyId}
/
{departureCountryISO}
/
{shipmentCountryISO}
Get Tax For Item
curl --request GET \
  --url https://api.jtl-cloud.com/erp/tax/item/{itemId}/{companyId}/{departureCountryISO}/{shipmentCountryISO} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "Rate": 19,
  "TaxClassId": 123,
  "DepartureCountryISO": "DE",
  "ShipmentCountryISO": "DE"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

departureCountryISO
integer<int32>
required

Country ISO code of the source Country.

shipmentCountryISO
string
required

Country ISO code of the target Country.

itemId
integer<int32>
required
companyId
integer<int32>
required

Query Parameters

taxNumber
string

The taxNumber of the Customer

invoiceCountryISO
string

The Country ISO Code of the Invoice

invoiceCountryStateISO
string

The State in the Country of the Invoice

shipmentCountryStateISO
string

The State in the target Country

Response

The TaxRate for the given Item.

Model Class: TaxRate

Rate
number<decimal>
required

The given Rate

Example:

19

TaxClassId
integer<int32>
required
DepartureCountryISO
string
required

Country ISO code of the address.

Example:

"DE"

ShipmentCountryISO
string
required

Country ISO code of the address.

Example:

"DE"